Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks
Class AbstractTypeAwareCheck.Token

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.AbstractTypeAwareCheck.Token

Enclosing class:
  AbstractTypeAwareCheck

    protected static class AbstractTypeAwareCheck.Token

extends Object

Represents text element with location in the text.

Constructor Summary
`AbstractTypeAwareCheck.Token(FullIdent aFullIdent)` Converts FullIdent to Token.
`AbstractTypeAwareCheck.Token(String aText, int aLine, int aColumn)` Creates token.

Method Summary
`int` | `getColumnNo()`
`int` | `getLineNo()`
`String` | `getText()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractTypeAwareCheck.Token

    public AbstractTypeAwareCheck.Token(String aText,
                                        int aLine,
                                        int aColumn)

  Creates token.

  Parameters:
    `aText` - token's text
    `aLine` - token's line number
    `aColumn` - token's column number

### AbstractTypeAwareCheck.Token

    public AbstractTypeAwareCheck.Token(FullIdent aFullIdent)

  Converts FullIdent to Token.

  Parameters:
    `aFullIdent` - full ident to convert.

Method Detail

### getLineNo

    public int getLineNo()

  Returns:
    line number of the token

### getColumnNo

    public int getColumnNo()

  Returns:
    column number of the token

### getText

    public String getText()

  Returns:
    text of the token

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD